Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.ims
Class IMSClientETDImpl

    java.lang.Object
      com.stc.eways.ims.IMSClientETDImpl

All Implemented Interfaces:
  IMSClientETD

Direct Known Subclasses:
  IMSClientETDExtImpl

    public class IMSClientETDImpl

extends java.lang.Object
implements IMSClientETD

Field Summary
`protected static long` | `ACQUIRE_LOCK_TIMEOUT`
`protected char` | `bandrs`
`protected com.stc.connector.framework.util.ConfigurationHelper` | `cfgProps`
`protected static java.lang.String` | `EIGHT_SPACES`
`protected java.lang.String` | `generatedClientID`
`protected com.stc.connector.logging.Logger` | `logger`
`protected java.lang.String` | `message`
`IMSConfigs` | `myConfigs`
`protected IMSClient` | `myExtDelegate`
`protected java.lang.String` | `replyMessage`
`protected int` | `sendCount`
`protected java.lang.String` | `TranCodeSrc`
`protected long` | `waitTimeout`

Constructor Summary
`IMSClientETDImpl(com.stc.connector.framework.util.ConfigurationHelper cfgProps)` Default constructor for IMSClientETDImpl

Method Summary
`void` | `connect()` Connect to server.
`void` | `disconnect()` Disconnect from server.
`char` | `getBandrs()` Call this in your collaboration to get the bandrs attribute.
`java.lang.String` | `getDatastoreID()` Call this in your collaboration to get the datastoreID attribute.
`java.lang.String` | `getLtermName()` Call this in your collaboration to get the LtermName attribute.
`java.lang.String` | `getMessage()` Call this in your collaboration to get the message attribute.
`java.lang.String` | `getPassword()` Call this in your collaboration to get the Password attribute.
`java.lang.String` | `getPort()` Call this in your collaboration to get the port attribute.
`java.lang.String` | `getRacfGroupName()` Call this in your collaboration to get the RacfGroupName attribute.
`java.lang.String` | `getRacfUserID()` Call this in your collaboration to get the RacfUserID attribute.
`java.lang.String` | `getReasonErrMsg()` Call this in your collaboration to get the IMS Connect reason code error message
`java.lang.String` | `getReply()` Call this in your collaboration to get the reply from the server.
`byte[]` | `getReplyBytes(int segNum)` Call this in your collaboration to get the reply from the server as bytes.
`java.lang.String` | `getReturnErrMsg()` Call this in your collaboration to get the IMS Connect return code error message
`int` | `getSegmentCount()` Call this in your collaboration to return the number of segments in the reply message.
`java.lang.String` | `getServer()` Call this in your collaboration to get the server attribute.
`java.lang.String` | `getTranCode()` Call this in your collaboration to get the trans code attribute.
`java.lang.String` | `getTranCodeSrc()` Call this in your collaboration to get the trans code source attribute.
`void` | `IMSRequest()` Call this in your collaboration to send the current value of Message to the server.
`void` | `IMSRequest(java.lang.String inputMessage)` Call this in your collaboration to send a message to the server.
`void` | `IMSRequestWithMultiSegs(java.lang.String[] inputMessages)` Call this in your collaboration to send multi-segmented messages to the server.
`boolean` | `isConnected()` Check to see if connected to server.
`boolean` | `reset()` reset
`void` | `setBandrs(char msg)` Call this in your collaboration to set the bandrs attribute.
`void` | `setDatastoreID(java.lang.String msg)` Call this in your collaboration to set the datastoreID attribute.
`void` | `setLtermName(java.lang.String msg)` Call this in your collaboration to set the LtermName attribute.
`void` | `setMessage(java.lang.String msg)` Call this in your collaboration to set the message attribute.
`void` | `setPassword(java.lang.String msg)` Call this in your collaboration to set the Password attribute.
`void` | `setPort(java.lang.String msg)` Call this in your collaboration to set the port attribute.
`void` | `setRacfGroupName(java.lang.String msg)` Call this in your collaboration to set the RacfGroupName attribute.
`void` | `setRacfUserID(java.lang.String msg)` Call this in your collaboration to set the RacfUserID attribute.
`void` | `setServer(java.lang.String msg)` Call this in your collaboration to set the server attribute.
`void` | `setTranCode(java.lang.String msg)` Call this in your collaboration to set the trans code attribute.
`void` | `setTranCodeSrc(java.lang.String msg)` Call this in your collaboration to set the trans code source attribute.
`void` | `terminate()` terminate Closes external connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    protected java.lang.String message

### replyMessage

    protected java.lang.String replyMessage

### TranCodeSrc

    protected java.lang.String TranCodeSrc

### bandrs

    protected char bandrs

### ACQUIRE_LOCK_TIMEOUT

    protected static final long ACQUIRE_LOCK_TIMEOUT

See Also:
  Constant Field Values

### cfgProps

    protected com.stc.connector.framework.util.ConfigurationHelper cfgProps

### myExtDelegate

    protected IMSClient myExtDelegate

### myConfigs

    public IMSConfigs myConfigs

### EIGHT_SPACES

    protected static final java.lang.String EIGHT_SPACES

See Also:
  Constant Field Values

### logger

    protected com.stc.connector.logging.Logger logger

### waitTimeout

    protected long waitTimeout

### generatedClientID

    protected java.lang.String generatedClientID

### sendCount

    protected int sendCount

Constructor Detail

### IMSClientETDImpl

    public IMSClientETDImpl(com.stc.connector.framework.util.ConfigurationHelper cfgProps)
                     throws IMSClientException

  Default constructor for IMSClientETDImpl

  Throws:
    `IMSClientException`

Method Detail

### setServer

    public void setServer(java.lang.String msg)

  Call this in your collaboration to set the server attribute.

  Specified by:
    `setServer` in interface `IMSClientETD`
  Parameters:
    `server` - - server host

### getServer

    public java.lang.String getServer()

  Call this in your collaboration to get the server attribute.

  Specified by:
    `getServer` in interface `IMSClientETD`
  Returns:
    server host

### setPort

    public void setPort(java.lang.String msg)

  Call this in your collaboration to set the port attribute.

  Specified by:
    `setPort` in interface `IMSClientETD`
  Parameters:
    `server` - port

### getPort

    public java.lang.String getPort()

  Call this in your collaboration to get the port attribute.

  Specified by:
    `getPort` in interface `IMSClientETD`
  Returns:
    server port

### setMessage

    public void setMessage(java.lang.String msg)

  Call this in your collaboration to set the message attribute.

  Specified by:
    `setMessage` in interface `IMSClientETD`
  Parameters:
    `message` -

### getMessage

    public java.lang.String getMessage()

  Call this in your collaboration to get the message attribute.

  Specified by:
    `getMessage` in interface `IMSClientETD`
  Returns:
    message

### setBandrs

    public void setBandrs(char msg)

  Call this in your collaboration to set the bandrs attribute. blank = NoAck A = ACK, N = NACK, D = Deallocate, R = Resume, S = SendOnly

  Specified by:
    `setBandrs` in interface `IMSClientETD`
  Parameters:
    `bandrs` -

### getBandrs

    public char getBandrs()

  Call this in your collaboration to get the bandrs attribute.

  Specified by:
    `getBandrs` in interface `IMSClientETD`
  Returns:
    bandrs

### setTranCode

    public void setTranCode(java.lang.String msg)

  Call this in your collaboration to set the trans code attribute.

  Specified by:
    `setTranCode` in interface `IMSClientETD`
  Parameters:
    `TranCode` -

### getTranCode

    public java.lang.String getTranCode()

  Call this in your collaboration to get the trans code attribute.

  Specified by:
    `getTranCode` in interface `IMSClientETD`
  Returns:
    TranCode

### setTranCodeSrc

    public void setTranCodeSrc(java.lang.String msg)

  Call this in your collaboration to set the trans code source attribute. If TranCodeSrc is set to "MESSAGE", the transaction ID will be picked up from the first eight bytes of the Message. Otherwise, it will be picked up from the config file.

  Specified by:
    `setTranCodeSrc` in interface `IMSClientETD`
  Parameters:
    `TranCodeSrc` -

### getTranCodeSrc

    public java.lang.String getTranCodeSrc()

  Call this in your collaboration to get the trans code source attribute.

  Specified by:
    `getTranCodeSrc` in interface `IMSClientETD`
  Returns:
    TranCodeSrc

### setDatastoreID

    public void setDatastoreID(java.lang.String msg)

  Call this in your collaboration to set the datastoreID attribute.

  Specified by:
    `setDatastoreID` in interface `IMSClientETD`
  Parameters:
    `datastoreID` -

### getDatastoreID

    public java.lang.String getDatastoreID()

  Call this in your collaboration to get the datastoreID attribute.

  Specified by:
    `getDatastoreID` in interface `IMSClientETD`
  Returns:
    datastoreID

### setLtermName

    public void setLtermName(java.lang.String msg)

  Call this in your collaboration to set the LtermName attribute.

  Specified by:
    `setLtermName` in interface `IMSClientETD`
  Parameters:
    `LtermName` -

### getLtermName

    public java.lang.String getLtermName()

  Call this in your collaboration to get the LtermName attribute.

  Specified by:
    `getLtermName` in interface `IMSClientETD`
  Returns:
    LtermName

### setRacfUserID

    public void setRacfUserID(java.lang.String msg)

  Call this in your collaboration to set the RacfUserID attribute.

  Specified by:
    `setRacfUserID` in interface `IMSClientETD`
  Parameters:
    `RacfUserID` -

### getRacfUserID

    public java.lang.String getRacfUserID()

  Call this in your collaboration to get the RacfUserID attribute.

  Specified by:
    `getRacfUserID` in interface `IMSClientETD`
  Returns:
    RacfUserID

### setRacfGroupName

    public void setRacfGroupName(java.lang.String msg)

  Call this in your collaboration to set the RacfGroupName attribute.

  Specified by:
    `setRacfGroupName` in interface `IMSClientETD`
  Parameters:
    `RacfGroupName` -

### getRacfGroupName

    public java.lang.String getRacfGroupName()

  Call this in your collaboration to get the RacfGroupName attribute.

  Specified by:
    `getRacfGroupName` in interface `IMSClientETD`
  Returns:
    RacfGroupName

### setPassword

    public void setPassword(java.lang.String msg)

  Call this in your collaboration to set the Password attribute.

  Specified by:
    `setPassword` in interface `IMSClientETD`
  Parameters:
    `Password` -

### getPassword

    public java.lang.String getPassword()

  Call this in your collaboration to get the Password attribute.

  Specified by:
    `getPassword` in interface `IMSClientETD`
  Returns:
    Password

### reset

    public boolean reset()

  reset

  Specified by:
    `reset` in interface `IMSClientETD`
  Returns:
    `false` if the IMSClientETD doesn't have a meaningful implementation of `reset()`; so do a `new` of the IMSClientETD instead. Otherwise, return `true` if the reset will clear the data content of the IMSClient.

### terminate

    public void terminate()
                   throws IMSClientException

  terminate Closes external connection.

  Throws:
    `IMSClientException`

### connect

    public void connect()
                 throws IMSClientException

  Connect to server.

  Specified by:
    `connect` in interface `IMSClientETD`
  Throws:
    `IMSClientException` - upon an external connection problem

### disconnect

    public void disconnect()
                    throws IMSClientException

  Disconnect from server.

  Specified by:
    `disconnect` in interface `IMSClientETD`
  Throws:
    `IMSClientException` - upon an external connection problem

### isConnected

    public boolean isConnected()
                        throws IMSClientException

  Check to see if connected to server.

  Specified by:
    `isConnected` in interface `IMSClientETD`
  Throws:
    `IMSClientException` - upon an external connection problem

### IMSRequest

    public void IMSRequest(java.lang.String inputMessage)
                    throws IMSClientException

  Call this in your collaboration to send a message to the server.

  Specified by:
    `IMSRequest` in interface `IMSClientETD`
  Parameters:
    `inputMessage` - String
  Throws:
    `IMSClientException`

### IMSRequestWithMultiSegs

    public void IMSRequestWithMultiSegs(java.lang.String[] inputMessages)
                                 throws IMSClientException

  Call this in your collaboration to send multi-segmented messages to the server.

  Specified by:
    `IMSRequestWithMultiSegs` in interface `IMSClientETD`
  Parameters:
    `inputMessages` - String[]
  Throws:
    `IMSClientException`

### IMSRequest

    public void IMSRequest()
                    throws IMSClientException

  Call this in your collaboration to send the current value of Message to the server.

  Specified by:
    `IMSRequest` in interface `IMSClientETD`
  Throws:
    `IMSClientException`

### getReply

    public java.lang.String getReply()
                              throws IMSClientException

  Call this in your collaboration to get the reply from the server.

  Specified by:
    `getReply` in interface `IMSClientETD`
  Returns:
    String
  Throws:
    `IMSClientException`

### getSegmentCount

    public int getSegmentCount()
                        throws IMSClientException

  Call this in your collaboration to return the number of segments in the reply message.

  Specified by:
    `getSegmentCount` in interface `IMSClientETD`
  Returns:
    int
  Throws:
    `IMSClientException`

### getReplyBytes

    public byte[] getReplyBytes(int segNum)
                         throws IMSClientException

  Call this in your collaboration to get the reply from the server as bytes.

  Specified by:
    `getReplyBytes` in interface `IMSClientETD`
  Parameters:
    `segNum` - int
  Returns:
    byte[]
  Throws:
    `IMSClientException`

### getReturnErrMsg

    public java.lang.String getReturnErrMsg()

  Call this in your collaboration to get the IMS Connect return code error message

  Specified by:
    `getReturnErrMsg` in interface `IMSClientETD`
  Returns:
    String

### getReasonErrMsg

    public java.lang.String getReasonErrMsg()

  Call this in your collaboration to get the IMS Connect reason code error message

  Specified by:
    `getReasonErrMsg` in interface `IMSClientETD`
  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for IMS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD